Get Connector Credentials Metadata
curl --request GET \
--url https://production.runalloy.com/connectors/{connectorId}/credentials/metadata \
--header 'Authorization: Bearer <token>' \
--header 'x-api-version: <x-api-version>'import requests
url = "https://production.runalloy.com/connectors/{connectorId}/credentials/metadata"
headers = {
"x-api-version": "<x-api-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-version': '<x-api-version>', Authorization: 'Bearer <token>'}
};
fetch('https://production.runalloy.com/connectors/{connectorId}/credentials/metadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": [
{
"authenticationType": "oauth2",
"authConfigRequired": false,
"inputSchema": {
"type": "object",
"properties": {
"userId": {
"type": "string",
"description": "User ID of the credential"
},
"authenticationType": {
"type": "string",
"description": "Type of authentication method of the connector",
"const": "oauth2"
},
"redirectUri": {
"type": "string",
"format": "uri",
"description": "Redirect URI for OAuth authentication"
}
},
"required": [
"userId",
"authenticationType",
"redirectUri"
]
},
"sampleInput": {
"userId": "68fe36549000cce448466858",
"authenticationType": "oauth2",
"redirectUri": "https://example.com"
}
}
]
}Credentials
Get Connector Credentials Metadata
Get connector credentials metadata
GET
/
connectors
/
{connectorId}
/
credentials
/
metadata
Get Connector Credentials Metadata
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
API version
The ID of the user making the request; If not provided, the request will be made as the API Key user
Path Parameters
Connector ID
Response
200 - application/json
List of credentials metadata
Show child attributes
Show child attributes
⌘I

